﻿<!-- Content Header (Page header) -->
<section class="content-header">
    <h1 class="content-header vazir-font">
        <small> همه اعضا</small>
        مدیریت
    </h1>
    <ol class="breadcrumb">
        <li><a href="#/"><i class="fa fa-dashboard"></i> خانه</a></li>
        <li class="active">همه اعضا</li>
    </ol>
</section>

<section class="row">
    <div class="col-xs-12">
        <div class="col-xs-12">
            <div class="box box-danger">
                <div class="box-header">
                    <h3 class="box-title vazir-font">فیلتر کردن اعضا</h3>
                    
                </div><!-- /.box-header -->
                <div class="box-body" dir="rtl">
                    <div class="col-xs-2">
                        <button type="button" class="btn btn-success btn-sm btn-block dropdown-toggle pull-right" data-toggle="dropdown" aria-expanded="false" style="border-bottom-right-radius: 3px; border-top-right-radius: 3px;">
                            {{dropDwonTitle}}
                            <span class="fa fa-caret-down"></span>
                        </button>
                        <ul class="dropdown-menu pull-right">
                            <li><a ng-click="changeTypeFilter(null)" class="link persian-rtl text-right">همه ی اعضا</a></li>
                            <li><a ng-click="changeTypeFilter(1)" class="link persian-rtl text-right">اعضای تایید شده</a></li>
                            <li><a ng-click="changeTypeFilter(0)" class="link persian-rtl text-right">اعضا در انتظار تایید</a></li>
                            <li><a ng-click="changeTypeFilter(-1)" class="link persian-rtl text-right">اعضای تایید نشده</a></li>
                        </ul>
                    </div>
                    <div class="col-xs-2">
                        <button type="button" class="btn btn-warning btn-sm btn-block dropdown-toggle pull-right" data-toggle="dropdown" aria-expanded="false" style="border-bottom-right-radius: 3px; border-top-right-radius: 3px;">
                            {{genderDropDwonTitle}}
                            <span class="fa fa-caret-down"></span>
                        </button>
                        <ul class="dropdown-menu pull-right">
                            <li><a ng-click="changeGenderFilter(null)" class="link persian-rtl text-right">همه ی اعضا</a></li>
                            <li><a ng-click="changeGenderFilter(0)" class="link persian-rtl text-right">اعضای مرد </a></li>
                            <li><a ng-click="changeGenderFilter(1)" class="link persian-rtl text-right">اعضای زن</a></li>
                        </ul>
                    </div>
                    <div class="col-xs-4">
                        <div >
                            <ui-select ng-model="Position.selected" on-select="changePosition()" theme="bootstrap" sortable="true" close-on-select="true" required>
                                <ui-select-match allow-clear placeholder="منطقه">{{Position.selected.OrganizationName}}</ui-select-match>
                                <ui-select-choices repeat="edu in allPositions">
                                    <div compile="edu.OrganizationName | highlight: $select.search"></div>
                                </ui-select-choices>
                            </ui-select>
                        </div>
                    </div>
                    
                    <div class="col-xs-4 pull-right">
                        <input type="text" name="table_search" ng-model="pagingParams.searchValue"
                               ng-model-options="{debounce:500}" ng-change="search()" class="form-control input-sm"
                               placeholder="جستجو ...">
                    </div>
                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div>
        <div class="col-xs-12">
            <div class="box box-danger">
                <div class="box-header">
                    <h3 class="box-title vazir-font">اعضا</h3>
                    <h3 class="box-title vazir-font pull-left">تعداد {{allTotal | pNumber}}</h3>
                </div><!-- /.box-header -->
                <div class="box-body table-responsive no-padding">
                    <table class="table table-hover">
                        <tbody>
                        <tr>
                            <th>شماره</th>
                            <th>نام کامل</th>
                            <th>تاریخ عضویت</th>
                            <th>تلفن سازمانی</th>
                            <th>وضعیت</th>
                            <th>ایمیل</th>
                            <th>وضعیت ایمیل</th>
                            <th style="width: 150px;"></th>
                        </tr>
                        <tr ng-repeat="u in user.all">
                            <td>{{u.ID| pNumber}}</td>
                            <td>{{u.FullName| pNumber}}</td>
                            <td>{{u.SignupDate | jalaliDate :'jYYYY/jMM/jDD' | pNumber}}</td>
                            <td>{{u.Tel| pNumber}}</td>
                            <td ng-switch="u.UserAccepted">
                                <span class="label label-success" ng-switch-when="1">تایید شده</span>
                                <span class="label label-warning" ng-switch-when="0">در انتظار تایید</span>
                                <span class="label label-danger" ng-switch-when="-1">رد شده</span>
                            </td>
                            <td>{{u.Email}}</td>
                            <td ng-switch="u.MailAccepted">
                                <span class="label label-success" ng-switch-when="1">تایید شده</span>
                                <span class="label label-danger" ng-switch-when="0"> تایید نشده</span>
                            </td>
                            <td>
                                <div class="table-action-icons" ng-if="session.AdminPermissionLevel=='Base'">
                                    <i class="fa fa-eye text-blue link hvr-grow" ng-click="openUserModal(u)" title="جزئیات کاربر" data-toggle="tooltip" data-placement="top" tooltip="Tooltip on left" tooltip-placement="top" tooltip-class="vazir-font" tooltip-append-to-body="true"></i>
                                    <i confirm="آیا مطمئن هستید که میخواهید این کاربر '{{u.FullName}}' را حذف کنید؟"
                                       class="fa fa-trash text-red link hvr-grow" ng-click="removeUser(u.ID)" title="حذف کاربر" data-toggle="tooltip" data-placement="top" tooltip="Tooltip on left" tooltip-placement="top" tooltip-class="vazir-font" tooltip-append-to-body="true"></i>
                                    <i class="fa fa-times link hvr-grow" ng-if="u.UserAccepted==1" style="color: #e67e22;"
                                       ng-click="changeUserState(u.ID ,-1)" title="رد کردن کاربر" data-toggle="tooltip" data-placement="top" tooltip="Tooltip on left" tooltip-placement="top" tooltip-class="vazir-font" tooltip-append-to-body="true"></i>
                                    <i class="fa fa-check text-blue link hvr-grow"
                                       ng-if="u.UserAccepted==-1 || u.UserAccepted==0" ng-click="changeUserState(u.ID ,1)" title="تایید کاربر" data-toggle="tooltip" data-placement="top" tooltip="Tooltip on left" tooltip-placement="top" tooltip-class="vazir-font" tooltip-append-to-body="true"></i>
                                    <a ng-if="u.UserAccepted==1" class="link" ng-href="../Forum/#/UserProfile/{{u.ID}}"><i class="fa fa-angle-double-left text-maroon link hvr-pulse" title="پروفایل شخص" data-toggle="tooltip" data-placement="top" tooltip="Tooltip on left" tooltip-placement="top" tooltip-class="vazir-font" tooltip-append-to-body="true"></i></a>
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div><!-- /.box-body -->
                <div class="box-footer clearfix text-center">
                    <auto-paging page="1"
                                 page-size="20"
                                 ul-class="pagination pagination-sm no-margin"
                                 action-name="getAllUsers"
                                 data-params="pagingParams"
                                 total-items="allTotal"
                                 ng-control="pagingController"
                                 items="user.all">
                    </auto-paging>
                </div>
            </div><!-- /.box -->
        </div>
    </div>
</section>

<script type="text/ng-template" id="UserDetail.html">
    <div class="modal-header">
        <h3 class="modal-title text-right">{{user.FullName |subString :40|pNumber}}
            <img class="img-circle" ng-src="{{user.FullPath}}" style="width: 40px;"></h3>
    </div>
    <div class="modal-body form">
        <div class="row persian-rtl">
            <div class="form-group col-xs-12">
                <div class="col-xs-3 pull-right">
                     نام :
                </div>
                <div class="col-xs-9">
                    <a class="link palette-emerald">
                        {{user.FullName | subString :40|pNumber}}&nbsp;&nbsp;
                        <small ng-show="user.Gender==0"><i class="fa fa-mars text-blue"></i></small>
                        <small ng-hide="user.Gender==0"><i class="fa fa-venus text-blue"></i></small>
                    </a>
                </div>
            </div>
            <div class="form-group col-xs-12">
                <div class="col-xs-3 pull-right">
                     ایمیل :
                </div>
                <div class="col-xs-9 text-muted">
                    {{user.Email | pNumber}}
                </div>
            </div>
            <div class="form-group col-xs-12">
                <div class="col-xs-3 pull-right">
                    شماره موبایل  :
                </div>
                <div class="col-xs-9">
                    {{user.PhoneNumber | pNumber}}
                </div>
            </div>
            <div ng-if="user.Tel" class="form-group col-xs-12">
                <div class="col-xs-3 pull-right">
                    شماره ثابت  :
                </div>
                <div class="col-xs-9">
                    {{user.Tel | pNumber}}
                </div>
            </div>
            <div class="form-group col-xs-12">
                <div class="col-xs-3 pull-right">
                    تاریخ عضویت :
                </div>
                <div class="col-xs-9">
                    {{user.SignupDate | jalaliDate :'jYYYY/jMM/jDD' | pNumber}}
                </div>
            </div>
            <div class="form-group col-xs-12">
                <div class="col-xs-3 pull-right">
                     آخرین زمان آنلاین:
                </div>
                <div class="col-xs-9">
                    {{user.LastActiveTime | jalaliDate :'jYYYY/jMM/jDD' | pNumber}}
                </div>
            </div>
            <div ng-if="user.Description" class="form-group col-xs-12">
                <div class="col-xs-3 pull-right">
                      درباره من:
                </div>
                <div class="col-xs-9">
                    {{user.Description | pNumber}}
                </div>
            </div>
            <div class="form-group col-xs-12">
                <small class="col-xs-2 no-padding" ng-hide="user.QuestionCount==0" ><i class="fa fa-question text-green"  title="سوال های کاربر" data-toggle="tooltip" data-placement="top" tooltip="Tooltip on left" tooltip-placement="top" tooltip-class="vazir-font" tooltip-append-to-body="true"></i>     {{user.QuestionCount | pNumber}}</small>
                <small class="col-xs-2 no-padding" ng-hide="user.FollowersCount==0" ><i class="fa fa-group text-blue" title="دنبال کننده های کاربر" data-toggle="tooltip" data-placement="top" tooltip="Tooltip on left" tooltip-placement="top" tooltip-class="vazir-font" tooltip-append-to-body="true"></i>     {{user.FollowersCount | pNumber}}</small>
                <small class="col-xs-2 no-padding" ng-hide="user.FollowingCount==0" ><i class="fa fa-group text-blue" title="دنبال شده های کاربر" data-toggle="tooltip" data-placement="top" tooltip="Tooltip on left" tooltip-placement="top" tooltip-class="vazir-font" tooltip-append-to-body="true"></i>     {{user.FollowingCount | pNumber}}</small>
                <small class="col-xs-2 no-padding" ng-hide="user.AnswerCount==0"><i class="fa fa-exclamation text-red" title="جواب های کاربر" data-toggle="tooltip" data-placement="top" tooltip="Tooltip on left" tooltip-placement="top" tooltip-class="vazir-font" tooltip-append-to-body="true"></i>      {{user.AnswerCount | pNumber}}</small>
                <small class="col-xs-2 no-padding" ng-hide="user.score==0"><i class="fa fa-star text-yellow" title="امتیاز کاربر" data-toggle="tooltip" data-placement="top" tooltip="Tooltip on left" tooltip-placement="top" tooltip-class="vazir-font" tooltip-append-to-body="true"></i>      {{user.score | pNumber}}</small>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button class="btn btn-info btn-flat pull-left" type="button" ng-click="cancel()">بستن</button>
    </div>
</script>




